thephases=new Array("(g)","(l)","(s)")
dataset=new Array()
dataset[1]=new Array("O2",0,0)
dataset[2]=new Array("Cl2",0,0)
dataset[3]=new Array("F2",0,0)
dataset[4]=new Array("Br2",0,0)
dataset[5]=new Array("I2",0,0)
dataset[6]=new Array("Si",1,0)
dataset[7]=new Array("P",1,0)
dataset[8]=new Array("S",1,0)
dataset[9]=new Array("Na",1,0)
dataset[10]=new Array("Li",1,0)
dataset[11]=new Array("Mg",1,0)
dataset[12]=new Array("B",1,0)
//H
dataset[0]=new Array("H2",0,0)
dataset[13]=new Array("H2O",0,-241.8)
dataset[14]=new Array("H2O",1,-285.8)
dataset[15]=new Array("H2O2",1,-188)
//C compounds
dataset[16]=new Array("C",1,0)
dataset[17]=new Array("CS2",0,117)
dataset[18]=new Array("CH4",0,-74.8)
dataset[19]=new Array("CO",0,-110.5)
dataset[20]=new Array("CO2",0,-393.5)
dataset[21]=new Array("C2H6",0,-84.7)
dataset[22]=new Array("C3H8",0,-74.8)
dataset[23]=new Array("C4H10",0,-74.8)
dataset[24]=new Array("C5H12",1,-167)
dataset[25]=new Array("C2H4",0,-52.3)
dataset[26]=new Array("C3H6",0,-74.8)
dataset[27]=new Array("C4H8",0,-74.8)
dataset[28]=new Array("C5H10",0,-21)
dataset[29]=new Array("C2H2",0,226.7)
dataset[30]=new Array("C6H6",0,80.7)
dataset[31]=new Array("C6H12",1,-153)
dataset[32]=new Array("COCl2",g,-219)
//Al
dataset[40]=new Array("Al",1,0)
dataset[41]=new Array("Al2O3",2,-1975)
dataset[42]=new Array("Al(OH)3",2,-1276)
dataset[43]=new Array("Al2(SO4)3",2,-3440)
dataset[44]=new Array("AlI3",2,-314)
dataset[45]=new Array("AlBr3",2,-527)
dataset[46]=new Array("AlCl3",2,-703)
//N
dataset[48]=new Array("HNO2",0,-77.8)
dataset[49]=new Array("HNO3",0,-135)
dataset[50]=new Array("N2",0,0)
dataset[51]=new Array("NH4NO3",2,-256)
dataset[52]=new Array("NH3",0,-46.1)
dataset[53]=new Array("NH4Cl",2,-314)
dataset[54]=new Array("NH4Br",2,-271)
dataset[55]=new Array("NH4I",2,-201)
dataset[56]=new Array("NO2",0,33.2)
dataset[57]=new Array("NO3",0,71)
dataset[58]=new Array("N2O",0,82)
dataset[59]=new Array("(NH4)2SO4",2,-1180)
//Ba
dataset[60]=new Array("Ba",2,0)
dataset[61]=new Array("BaO",2,-556)
dataset[62]=new Array("BaCO3",2,-1217)
dataset[63]=new Array("Ba(OH)2",2,-945)
dataset[64]=new Array("Ba(NO3)2",2,-991)
dataset[65]=new Array("BaSO3",2,-1180)
dataset[66]=new Array("BaSO4",2,-1460)
dataset[67]=new Array("BaCl2",2,-683)
dataset[68]=new Array("BaBr2",2,-603)
dataset[69]=new Array("BaI2",2,-561)
//B
dataset[70]=new Array("B",2,0)
dataset[71]=new Array("B2O3",2,-1270)
dataset[72]=new Array("B2H6",0,36)
dataset[73]=new Array("B3BO3",2,-1092)
dataset[74]=new Array("BCl3",0,-404)
//Fe compounds
dataset[75]=new Array("Fe",2,0)
dataset[76]=new Array("FeBr2",2,-250)
dataset[77]=new Array("FeO",2,-272)
dataset[78]=new Array("FeSO4",2,-925)
dataset[79]=new Array("Fe2O3",2,-824)
dataset[80]=new Array("FeCl3",2,-312)
dataset[81]=new Array("FeCO3",2,-732)
dataset[82]=new Array("Fe(OH)3",2,-824)
dataset[83]=new Array("Fe(OH)2",2,-569)
dataset[84]=new Array("Fe2(SO4)3",2,-2580)
//S
dataset[85]=new Array("H2SO4",1,-812)
dataset[86]=new Array("SO2",0,-296)
dataset[87]=new Array("SO3",0,-397)
dataset[88]=new Array("SCl4",1,-57)
dataset[89]=new Array("H2S",0,-21)

//binary acids
dataset[95]=new Array("HCl",0,-92)
dataset[96]=new Array("HBr",0,-36.4)
dataset[97]=new Array("HI",0,26.5)
//Ca
dataset[105]=new Array("Ca",2,0)
dataset[106]=new Array("CaO",2,-636)
dataset[107]=new Array("Ca(OH)2",2,-987)
dataset[108]=new Array("CaCl2",2,-795)
dataset[109]=new Array("CaCBr2",2,-674)
dataset[110]=new Array("CaCI2",2,-531)
//Pb
dataset[115]=new Array("Pb",2,0)
dataset[116]=new Array("PbC2O4",2,-829)
//P
dataset[125]=new Array("P",2,0)
dataset[126]=new Array("P4O6",2,-1640)
dataset[127]=new Array("H3PO4",2,-1293)
dataset[128]=new Array("PCl3",0,-289)
dataset[129]=new Array("PBr3",0,-184)
dataset[130]=new Array("PI3",2,-46)

reactions=new Array()
reactions[0]=new Array(2,17,1,1,4,20,1,87,2)//CS2 + 4O2 =>CO2 + 2SO3
reactions[1]=new Array(2,17,1,1,3,20,1,86,2)//CS2 + 3O2 =>CO2 + 2SO2
reactions[2]=new Array(2,17,2,1,7,19,2,87,4)//2CS2 + 7O2 =>2CO + 4SO3
reactions[3]=new Array(2,17,2,1,5,19,2,86,4)//2CS2 + 5O2 =>2CO + 4SO2
reactions[4]=new Array(2,18,1,1,2,20,1,13,2)//CH4 +  2O2 => CO2 + 2H2O
reactions[5]=new Array(2,18,2,1,3,19,2,13,4)//2CH4 +  3O2 => 2CO + 4H2O
reactions[6]=new Array(1,51,1,58,1,13,2)//NH4NO3 => N2O + 2H2O
reactions[7]=new Array(1,62,1,61,1,20,1)//BaCO3=>BaO + CO2
reactions[8]=new Array(2,72,1,1,3,71,1,13,3)//B2H6+ 3O2 => B2O3 + 3H20
reactions[9]=new Array(2,77,1,19,1,75,1,20,1)//FeO+CO => Fe  + CO2
reactions[10]=new Array(2,42,1,95,3,46,1,14,3)// Al(OH)3 + 3 HCl => AlCl3 + 3 H2O
reactions[11]=new Array(2,42,1,96,3,45,1,14,3)// Al(OH)3 + 3 HBr => AlBr3 + 3 H2O
reactions[12]=new Array(2,42,1,97,3,44,1,14,3)// Al(OH)3 + 3 HI => AlI3 + 3 H2O
reactions[13]=new Array(2,21,2,1,7,20,4,13,6)//2C2H6 + 7O2 => 4CO2 + 6H20
reactions[14]=new Array(2,21,2,1,5,19,4,13,6)//2C2H6 + 5O2 => 4CO + 6H20
reactions[15]=new Array(2,87,1,14,1,85,1)//SO3 + H20 => H2SO4
reactions[16]=new Array(2,79,1,19,3,75,2,20,3)//Fe2O3 + 3CO =>2Fe + 3CO2
reactions[17]=new Array(2,52,1,95,1,53,1)//NH3 + HCl => NH4Cl
reactions[18]=new Array(2,52,1,96,1,54,1)//NH3+ HBr => NH4Br
reactions[19]=new Array(2,52,1,97,1,55,1)//NH3+ HI => NH4I
reactions[20]=new Array(1,78,1,77,1,87,1)//FeSO4=>FeO + SO3
reactions[21]=new Array(1,51,1,49,1,52,1)//NH4NO3=>HNO3 + NH3
reactions[22]=new Array(2,75,2,95,6,80,2,0,3)//2Fe + 6HCl => 2FeCl3 + 3H2
reactions[23]=new Array(2,52,4,1,7,56,4,13,6)//4NH3 + 7O2 => 4NO2 + 6H20
reactions[24]=new Array(2,41,1,95,6,46,2,14,3)//Al2O3 + 6HCl =>2AlCl3 + 3H20
reactions[25]=new Array(2,41,1,96,6,45,2,14,3)//Al2O3 + 6HBr =>2AlBr3 + 3H20
reactions[26]=new Array(2,41,1,97,6,44,2,14,3)//Al2O3 + 6HI =>2AlI3 + 3H20
reactions[27]=new Array(2,30,2,1,15,20,12,13,6)//2C6H6 + 15O2 => 12 CO2 + 6H20
reactions[28]=new Array(1,64,1,61,1,56,1,57,1)//Ba(NO3)2 =>Bao + NO2 + NO3
reactions[29]=new Array(2,63,1,95,2,67,1,14,2)//Ba(OH)2 + 2HCl =>BaCl2 + 2H2O
reactions[30]=new Array(2,63,1,96,2,68,1,14,2)//Ba(OH)2 + 2HBr =>BaBr2 + 2H2O
reactions[31]=new Array(2,63,1,97,2,69,1,14,2)//Ba(OH)2 + 2HI =>BaI2 + 2H2O
reactions[32]=new Array(2,62,1,95,2,67,1,13,1,20,1)//BaCO3 + 2HCl => BaCl2 + H20 + CO2
reactions[33]=new Array(2,62,1,96,2,68,1,13,1,20,1)//BaCO3 + 2HBr => BaBr2 + H20 + CO2
reactions[34]=new Array(2,62,1,97,2,69,1,13,1,20,1)//BaCO3 + 2HI => BaI2 + H20 + CO2
/*
reactions[35]=new Array()//combustion of C3H8 (CO2)
reactions[36]=new Array()//combustion of C3H8 (CO)
reactions[37]=new Array()//CO + O2=> CO2
reactions[38]=new Array()//combustion of C4H10 (CO2)
reactions[39]=new Array()//combustion of C4H10 (CO)
reactions{40]=new Array()//2Al(OH)3 + 3H2SO4 => Al2(SO4)3 + 6 H20
reactions[41]=new Array()//BaO + H2O => Ba(OH)2
reactions[42]=new Array()//2H2O2 => 2H2O + O2
reactions[43]=new Array()//combustion of C2H2 (CO2)
reactions[44]=new Array()//combustion of C2H2 (CO)
reactions[45]=new Array()//Ba(OH)2 + 2HNO3 => Ba(NO3)2 + 2H2O
reactions[46]=new Array()//Al2O3 + 3H2O => 2Al(OH)3
reactions[47]=new Array()//
*/ 
sdigits="z0123456789"
function getformula(x){
		sub="false"
		newstring=""
		thestring=x
		for(k=0;k<thestring.length;k++){
			nextchar=thestring.charAt(k)
			if(sdigits.indexOf(nextchar)>0){
				sub=="false"?newstring+=("<sub>"+nextchar):newstring+=nextchar;
				sub="true"
				}
			else{
				sub=="true"?newstring+=("</sub>"+nextchar):newstring+=nextchar;
				sub="false"
				}
		}
		sub=="true"?newstring+="</sub>":"";
		return newstring
}
